# Generated by Django 5.2 on 2025-05-04 17:41

import django.contrib.postgres.fields
import django.db.models.deletion
import taggit.managers
import utilities.json
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('dcim', '0207_remove_redundant_indexes'),
        ('extras', '0128_tableconfig'),
    ]

    operations = [
        migrations.CreateModel(
            name='SecurityZone',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False)),
                ('created', models.DateTimeField(auto_now_add=True, null=True)),
                ('last_updated', models.DateTimeField(auto_now=True, null=True)),
                ('custom_field_data', models.JSONField(blank=True, default=dict, encoder=utilities.json.CustomFieldJSONEncoder)),
                ('name', models.CharField(max_length=64)),
                ('protocols', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(max_length=512), blank=True, default=list, size=None)),
                ('services', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(max_length=512), blank=True, default=list, size=None)),
                ('application_tracking', models.BooleanField(default=False)),
                ('enable_reverse_reroute', models.BooleanField(default=False)),
                ('tcp_rst', models.BooleanField(default=False)),
                ('unidirectional_session_refreshing', models.BooleanField(default=False)),
                ('description', models.CharField(blank=True, max_length=256)),
                ('comments', models.TextField(blank=True)),
                ('device', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='dcim.device')),
                ('interfaces', models.ManyToManyField(blank=True, to='dcim.interface')),
                ('tags', taggit.managers.TaggableManager(through='extras.TaggedItem', to='extras.Tag')),
            ],
            options={
                'verbose_name': 'Security Zone',
                'verbose_name_plural': 'Security Zones',
                'ordering': ['device', 'name'],
                'indexes': [models.Index(fields=['name'], name='idx_security_zone_name')],
                'constraints': [models.UniqueConstraint(fields=('device', 'name'), name='unique_security_zone')],
            },
        ),
    ]
