# Generated by Django 5.2 on 2025-05-04 18:57

import django.db.models.deletion
import ipam.fields
import taggit.managers
import utilities.json
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('dcim', '0207_remove_redundant_indexes'),
        ('extras', '0128_tableconfig'),
        ('netbox_juniper', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='SecurityAddress',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False)),
                ('created', models.DateTimeField(auto_now_add=True, null=True)),
                ('last_updated', models.DateTimeField(auto_now=True, null=True)),
                ('custom_field_data', models.JSONField(blank=True, default=dict, encoder=utilities.json.CustomFieldJSONEncoder)),
                ('name', models.CharField(max_length=64)),
                ('address', ipam.fields.IPNetworkField()),
                ('is_global', models.BooleanField(default=False)),
                ('comments', models.TextField(blank=True)),
                ('device', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='dcim.device')),
                ('security_zone', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='netbox_juniper.securityzone')),
                ('tags', taggit.managers.TaggableManager(through='extras.TaggedItem', to='extras.Tag')),
            ],
            options={
                'verbose_name': 'Address',
                'verbose_name_plural': 'Addresses',
                'ordering': ['device', 'name'],
                'indexes': [models.Index(fields=['device', 'name'], name='idx_security_adress')],
                'constraints': [models.CheckConstraint(condition=models.Q(models.Q(('is_global', True), ('security_zone__isnull', True)), models.Q(('is_global', False), ('security_zone__isnull', False)), _connector='OR'), name='unique_security_address_configured'), models.UniqueConstraint(fields=('name', 'device', 'is_global', 'security_zone'), name='unique_security_address')],
            },
        ),
    ]
